Bug 439631 - make miro use gstreamer by default
Summary: make miro use gstreamer by default
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: Miro   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Alex Lancaster
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-29 20:43 UTC by Jakub 'Livio' Rusinek
Modified: 2008-04-27 16:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-27 16:55:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jakub 'Livio' Rusinek 2008-03-29 20:43:49 UTC
Description of problem:
gstreamer is getting more and more popular and also it's chosen as gnome's
multimedia engine.

miro uses pygtk and gecko, so it integrates (almost) well with gnome.

it could be natural if miro would require gstreamer rather than xine.

probably you may want some arguments:
 * it's still actively developed and it's getting better and better
 * it's fresh, stable and not ancient
 * xine is losing its popularity
 * having dependency only for one programs may be stupid, especially, if the
dependency is whole multimedia engine

Comment 1 Alex Lancaster 2008-04-05 23:15:45 UTC
This might be a good workaround, but I'd like to know if gstreamer can support
most of the video types that xine-lib can before looking at switching the
default.   I did some quick checking and most of them worked, but I had some
trouble with some mp4 files, even with gstreamer-plugins-{bad,ugly} and
gstreamer-ffmpeg from livna installed.

Can somebody compile a list?

Comment 2 Jakub 'Livio' Rusinek 2008-04-06 06:29:25 UTC
If I could have all the video file formats on hdd...

Comment 3 Paul Jenner 2008-04-10 19:08:30 UTC
See bug #392281 for example of xine causing an issue as the default renderer
rather than gstreamer.

Comment 4 Jakub 'Livio' Rusinek 2008-04-10 20:41:37 UTC
I didn't expected backend causing issues...

I only wanted Miro to be consistent with environment it is designed for (GNOME) ;) .

Comment 5 Jakub 'Livio' Rusinek 2008-04-27 16:55:08 UTC
Miro 1.5 will use GStreamer by default:
http://pculture.org/devblogs/wguaraldi/2008/04/25/miro-and-gstreamer-on-gtkx11/ .


Note You need to log in before you can comment on or make changes to this bug.